aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPeter Wu <peter@lekensteyn.nl>2017-10-13 22:08:21 +0100
committerAnders Broman <a.broman58@gmail.com>2017-10-16 04:24:34 +0000
commit2cb717ec78e3479943dfe235e0c29c085a19ebfc (patch)
treea9882f973bef8ce2e6234cc1df06b26a59fc97fb
parent1dd0111f5e2426390d36626f07525470d8b9a9d9 (diff)
cmake: remove and reorder unused cmake policies
Current minimum CMake version has everything up to CMP0017 enabled by default, remove older policies. CMP0011 had not effect, our link_directories are already absolute paths. Change-Id: I3af08ca75700de4a860fb4afd664824031e2c5f5 Reviewed-on: https://code.wireshark.org/review/23914 Reviewed-by: João Valverde <j@v6e.pt> Petri-Dish: João Valverde <j@v6e.pt> Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org> Reviewed-by: Anders Broman <a.broman58@gmail.com>
-rw-r--r--CMakeLists.txt28
1 files changed, 7 insertions, 21 deletions
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 9ceeaf4..42cfeb2 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -53,33 +53,24 @@ else()
cmake_minimum_required(VERSION 2.8.8)
endif()
-# Needs to be set after cmake_minimum_required or cmake_policy(VERSION)
-# Policy since 2.6.1
-cmake_policy(SET CMP0008 NEW)
-# Policy since 2.6.3
-# Backward compatibility for versions < 2.6.3
-cmake_policy(SET CMP0011 OLD)
-# Policy since 2.8.1
-cmake_policy(SET CMP0015 NEW)
-
#Where to find local cmake scripts
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
-# Set old behaviour for LOCATION property
+# Set old behaviour for LOCATION property (since 3.0)
if (POLICY CMP0026)
cmake_policy(SET CMP0026 OLD)
endif()
-# Set old behaviour for variable quoting
-if (POLICY CMP0054)
- cmake_policy(SET CMP0054 OLD)
-endif()
-
-# Set old behaviour for MACOSX_RPATH
+# Set old behaviour for MACOSX_RPATH (since 3.0)
if (POLICY CMP0042)
cmake_policy(SET CMP0042 OLD)
endif()
+# Set old behaviour for variable quoting (since 3.1)
+if (POLICY CMP0054)
+ cmake_policy(SET CMP0054 OLD)
+endif()
+
# If our target platform is enforced by our generator, set
# WIRESHARK_TARGET_PLATFORM accordingly. Otherwise use
# %WIRESHARK_TARGET_PLATFORM%.
@@ -2203,11 +2194,6 @@ if(BUILD_wireshark AND QT_FOUND)
${WIN_VERSION_LIBRARY}
)
- # Policy since 2.8.11
- if (POLICY CMP0020)
- cmake_policy(SET CMP0020 NEW)
- endif()
-
add_executable(wireshark WIN32 MACOSX_BUNDLE wireshark-qt.cpp ${wireshark_FILES} ${EXTRA_BUNDLE_FILES})
add_dependencies(wireshark version)
set(PROGLIST ${PROGLIST} wireshark)